#!/bin/bash

if [ "$#" != "5" ]; then
  echo -e "Usage: $0 <domain> <problem> <solution> <time> <memory>\n"
  exit 1
else

domain=$1
problem=$2
out=$3
cputime=$4
memory=$5

if [ ! -e $domain ]; then
  echo -e "File $domain does not exist\n"
  exit 1
fi

if [ ! -e $problem ]; then
  echo -e "File $problem does not exist\n"
  exit 1
fi

ulimit -t $cputime -m $memory

ff -o $domain -f $problem &> /dev/null

if [ -e $problem.soln ]; then 
    mv $problem.soln $out;
    actions=`wc -l $out | sed "s/^\([0-9]*\).*$/\1/"`;
    actions=`echo "$actions - 1" | bc`;
    time=`grep "Time" $out | sed "s/Time //"`;
    time=`echo "scale=2; $time / 1000.0" | bc`;
    sed -i "s/Time\(.*\)$/; Time $time\n; NrActions $actions/" $out;
fi

fi
