#!/bin/bash

if [ "$#" != "5" ]; then
  echo -e "Usage: $0 <domain> <problem> <solution> <time> <memory>\n"
  exit 1
else

domain=$1
problem=$2
out=$3
cputime=$4
memory=$5

if [ ! -e $domain ]; then
  echo -e "File $domain does not exist\n"
  exit 1
fi

if [ ! -e $problem ]; then
  echo -e "File $problem does not exist\n"
  exit 1
fi

ulimit -t $cputime -m $memory
trap "rm -f CNF*" EXIT

satplan -domain $domain -problem $problem -solution $out &> /dev/null

if [ -e `basename $out` ]; then 
    mv `basename $out` $out;
    actions=`wc -l $out | sed "s/^\([0-9]*\).*$/\1/"`;
    actions=`echo "$actions - 3" | bc`;
    sed -i "/^; Time/i; NrActions $actions" $out;
fi

fi
