#!/bin/bash

if [ "$#" != "5" ]; then
  echo -e "Usage: $0 <domain> <problem> <solution> <time> <memory>\n"
  exit 1
else

domain=$1
problem=$2
out=$3
cputime=$4
memory=$5

if [ ! -e $domain ]; then
  echo -e "File $domain does not exist\n"
  exit 1
fi

if [ ! -e $problem ]; then
  echo -e "File $problem does not exist\n"
  exit 1
fi

ulimit -t $cputime -m $memory

sgplan52 -o $domain -f $problem -out $out &> /dev/null

fi
